Bug 489505 - Dependency problems between Roundcubemail and MDB2
Dependency problems between Roundcubemail and MDB2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: roundcubemail (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: 489509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 10:38 EDT by Martí­n Marqués
Modified: 2009-07-14 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martí­n Marqués 2009-03-10 10:38:10 EDT
Description of problem:

Version 0.2-7 of Roundcubemail requires version 1.5.0a2.

Version-Release number of selected component (if applicable):

# yum list roundcube*
Installed Packages
roundcubemail.noarch                                                        0.2-7.stable.fc9                                                        installed

How reproducible:

The problem happens when you use Roundcube with Postgresql as it adds an option which is not supported by the version of MDB2 that comes with Fedora 9.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Till Klampaeckel 2009-03-10 12:24:05 EDT
Since the bug report doesn't state this, I'm adding a reference from our mailing list:
http://lists.roundcube.net/mail-archive/dev/2009-03/0000046.html

> Roundcube require at least 1.5.0a2, when disable_smart_seqname has been 
added.

A work around is to install/update MDB2 through pear.
Comment 2 Martí­n Marqués 2009-03-10 14:35:55 EDT
Just to let everyone know, pear upgraded MDB2 to version 1.5.0b2 (plus the pgsql driver) and Roundcube works great.

Dependencie should be added, at least for version 11 of Fedora.
Comment 3 Gwyn Ciesla 2009-03-10 14:45:54 EDT
Keep an eye on 489509 and 489565.
Comment 4 Christopher Stone 2009-03-28 18:03:34 EDT
Would it be possible to patch roundcubemail to not use the added option mentioned in comment #0 until php-pear-MDB2-1.5.0 reaches stable?

Fedora 9 is reaching end of life soon, this bug should be changed to rawhide IMO.
Comment 5 Gwyn Ciesla 2009-03-30 15:41:52 EDT
Martí­n, have you tried this (#4) ?
Comment 6 Martí­n Marqués 2009-03-30 15:50:50 EDT
That was the first thing I did.

See:

http://lists.roundcube.net/mail-archive/dev/2009-03/0000039.html
Comment 7 Gwyn Ciesla 2009-03-30 16:03:24 EDT
I'll get a patched release out.  Thanks!
Comment 8 Fedora Update System 2009-03-31 08:06:45 EDT
roundcubemail-0.2-9.stable.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/roundcubemail-0.2-9.stable.fc10
Comment 9 Fedora Update System 2009-03-31 08:06:50 EDT
roundcubemail-0.2-9.stable.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/roundcubemail-0.2-9.stable.fc9
Comment 10 Fedora Update System 2009-04-02 13:13:12 EDT
roundcubemail-0.2-9.stable.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-04-02 13:20:29 EDT
roundcubemail-0.2-9.stable.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Bug Zapper 2009-06-09 23:36:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 14:10:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.